- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes

# QWSEmbedEvent Struct Reference

Search for all occurrences

## Detailed Description

Definition at line 269 of file qwsevent_qws.h.

`#include <qwsevent_qws.h>`

Inheritance diagram for QWSEmbedEvent:
[legend]

List of all members.

## Classes
struct | SimpleData
## Public Types
enum | Type { StartEmbed = 1, StopEmbed = 2, Region = 4 }
## Public Member Functions
| QWSEmbedEvent ()
void | setData (const char *d, int len, bool allocateMem=true)
void | setData (int winId, Type type, const QRegion &reg=QRegion())
## Public Attributes
struct QWSEmbedEvent::SimpleData | simpleData
QRegion | region

## Member Enumeration Documentation

enum Type

Search for all occurrences

Enumerator:

  StartEmbed | Search for all occurrences
  StopEmbed | Search for all occurrences
  Region | Search for all occurrences

Reimplemented from QWSEvent.

Definition at line 275 of file qwsevent_qws.h.

    { StartEmbed = 1, StopEmbed = 2, Region = 4 };

## Constructor & Destructor Documentation

QWSEmbedEvent | ( |  | ) | `[inline]`

Definition at line 271 of file qwsevent_qws.h.

                        : QWSEvent(QWSEvent::Embed, sizeof(simpleData),
                                   reinterpret_cast<char*>(&simpleData))
        {}

## Member Function Documentation

void setData | ( | const char * | d,
|  | int | len,
|  | bool | allocateMem = `true`
| ) |  | `[inline, virtual]`

Search for all occurrences

Reimplemented from QWSProtocolItem.

Definition at line 277 of file qwsevent_qws.h.

                                                                      {
            QWSEvent::setData(d, len, allocateMem);
            region.setRects(reinterpret_cast<const QRect *>(rawDataPtr),
                            simpleData.nrectangles);
        }

void setData | ( | int | winId,
|  | Type | type,
|  | const QRegion & | reg = `QRegion()`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 283 of file qwsevent_qws.h.

                                                                           {
            simpleData.window = winId;
            simpleData.nrectangles = reg.rects().size();
            simpleData.type = type;
            region = reg;
            const QVector<QRect> rects = reg.rects();
            QWSEvent::setData(reinterpret_cast<const char*>(rects.data()),
                              rects.size() * sizeof(QRect));
        }

## Member Data Documentation

struct QWSEmbedEvent::SimpleData simpleData

Search for all occurrences

QRegion region

Search for all occurrences

Definition at line 299 of file qwsevent_qws.h.

The documentation for this struct was generated from the following file:

- QtGui/qwsevent_qws.h